지정된 프로젝트의 공유 계층 클러스터를 Flex 또는 전용(M10+) 클러스터로 업그레이드합니다. 각 프로젝트는 최대 25 개의 클러스터를 지원합니다.
이 엔드포인트는 클러스터 생성 API 사용하여 생성된 Flex 클러스터 또는 instanceSizeName 를 사용하여 Flex 클러스터로 업그레이드 된 이전 M2/M5 클러스터를 'M2' 또는 'M5'은 2026 1월까지. 이 기능은 2026 22, 까지 사용할 수 있으며, 그 이후에는 M0 클러스터에서만 사용할 수 있습니다. 대신 Upgrade Flex Cluster 엔드포인트를 사용하세요.
역할 요구 사항
- 프로젝트 클러스터 관리자
POST /API/Atlas/v1.0/groups/{groupId}/clusters/tenantUpgrade
curl \
--request POST 'https://cloud.mongodb.com/api/atlas/v1.0/groups/32b6e34b3d91647abb20e7b8/clusters/tenantUpgrade' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"acceptDataRisksAndForceReplicaSetReconfig": "2026-05-04T09:42:00Z",
"advancedConfiguration": {
"customOpensslCipherConfigTls12": [
"TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384"
],
"customOpensslCipherConfigTls13": [
"TLS_AES_256_GCM_SHA384"
],
"minimumEnabledTlsProtocol": "TLS1_2",
"tlsCipherConfigMode": "CUSTOM"
},
"autoScaling": {
"compute": {
"enabled": false,
"scaleDownEnabled": false
},
"diskGBEnabled": false
},
"backupEnabled": true,
"biConnector": {
"enabled": true,
"readPreference": "PRIMARY"
},
"clusterType": "REPLICASET",
"configServerManagementMode": "ATLAS_MANAGED",
"databaseEdition": "CORE",
"deleteAfterCreationHours": 42,
"diskSizeGB": 42.0,
"diskWarmingMode": "FULLY_WARMED",
"encryptionAtRestProvider": "NONE",
"globalClusterSelfManagedSharding": true,
"labels": [
{
"key": "string",
"value": "string"
}
],
"mongoDBMajorVersion": "5.0",
"mongoDBVersion": "5.0.25",
"name": "string",
"numShards": 1,
"paused": true,
"pitEnabled": true,
"providerBackupEnabled": true,
"providerSettings": {
"providerName": "AWS",
"autoScaling": {
"compute": {
"maxInstanceSize": "M10",
"minInstanceSize": "M10"
}
},
"diskIOPS": 42,
"encryptEBSVolume": true,
"instanceSizeName": "M10",
"regionName": "US_GOV_WEST_1",
"volumeType": "STANDARD"
},
"replicaSetScalingStrategy": "WORKLOAD_TYPE",
"replicationFactor": 3,
"replicationSpec": {
"additionalProperty1": {
"analyticsNodes": 42,
"electableNodes": 0,
"priority": 42,
"readOnlyNodes": 42
},
"additionalProperty2": {
"analyticsNodes": 42,
"electableNodes": 0,
"priority": 42,
"readOnlyNodes": 42
}
},
"replicationSpecs": [
{
"id": "32b6e34b3d91647abb20e7b8",
"numShards": 1,
"regionsConfig": {
"additionalProperty1": {
"analyticsNodes": 42,
"electableNodes": 0,
"priority": 42,
"readOnlyNodes": 42
},
"additionalProperty2": {
"analyticsNodes": 42,
"electableNodes": 0,
"priority": 42,
"readOnlyNodes": 42
}
},
"zoneName": "string"
}
],
"rootCertType": "ISRGROOTX1",
"tags": [
{
"key": "string",
"value": "string"
}
],
"terminationProtectionEnabled": false,
"versionReleaseSystem": "LTS"
}'
요청 예시
{
"acceptDataRisksAndForceReplicaSetReconfig": "2026-05-04T09:42:00Z",
"advancedConfiguration": {
"customOpensslCipherConfigTls12": [
"TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384"
],
"customOpensslCipherConfigTls13": [
"TLS_AES_256_GCM_SHA384"
],
"minimumEnabledTlsProtocol": "TLS1_2",
"tlsCipherConfigMode": "CUSTOM"
},
"autoScaling": {
"compute": {
"enabled": false,
"scaleDownEnabled": false
},
"diskGBEnabled": false
},
"backupEnabled": true,
"biConnector": {
"enabled": true,
"readPreference": "PRIMARY"
},
"clusterType": "REPLICASET",
"configServerManagementMode": "ATLAS_MANAGED",
"databaseEdition": "CORE",
"deleteAfterCreationHours": 42,
"diskSizeGB": 42.0,
"diskWarmingMode": "FULLY_WARMED",
"encryptionAtRestProvider": "NONE",
"globalClusterSelfManagedSharding": true,
"labels": [
{
"key": "string",
"value": "string"
}
],
"mongoDBMajorVersion": "5.0",
"mongoDBVersion": "5.0.25",
"name": "string",
"numShards": 1,
"paused": true,
"pitEnabled": true,
"providerBackupEnabled": true,
"providerSettings": {
"providerName": "AWS",
"autoScaling": {
"compute": {
"maxInstanceSize": "M10",
"minInstanceSize": "M10"
}
},
"diskIOPS": 42,
"encryptEBSVolume": true,
"instanceSizeName": "M10",
"regionName": "US_GOV_WEST_1",
"volumeType": "STANDARD"
},
"replicaSetScalingStrategy": "WORKLOAD_TYPE",
"replicationFactor": 3,
"replicationSpec": {
"additionalProperty1": {
"analyticsNodes": 42,
"electableNodes": 0,
"priority": 42,
"readOnlyNodes": 42
},
"additionalProperty2": {
"analyticsNodes": 42,
"electableNodes": 0,
"priority": 42,
"readOnlyNodes": 42
}
},
"replicationSpecs": [
{
"id": "32b6e34b3d91647abb20e7b8",
"numShards": 1,
"regionsConfig": {
"additionalProperty1": {
"analyticsNodes": 42,
"electableNodes": 0,
"priority": 42,
"readOnlyNodes": 42
},
"additionalProperty2": {
"analyticsNodes": 42,
"electableNodes": 0,
"priority": 42,
"readOnlyNodes": 42
}
},
"zoneName": "string"
}
],
"rootCertType": "ISRGROOTX1",
"tags": [
{
"key": "string",
"value": "string"
}
],
"terminationProtectionEnabled": false,
"versionReleaseSystem": "LTS"
}
응답 예시(200)
{
"acceptDataRisksAndForceReplicaSetReconfig": "2026-05-04T09:42:00Z",
"advancedConfiguration": {
"customOpensslCipherConfigTls12": [
"TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384"
],
"customOpensslCipherConfigTls13": [
"TLS_AES_256_GCM_SHA384"
],
"minimumEnabledTlsProtocol": "TLS1_2",
"tlsCipherConfigMode": "CUSTOM"
},
"autoScaling": {
"compute": {
"enabled": false,
"scaleDownEnabled": false
},
"diskGBEnabled": false
},
"backupEnabled": true,
"biConnector": {
"enabled": true,
"readPreference": "PRIMARY"
},
"clusterType": "REPLICASET",
"configServerManagementMode": "ATLAS_MANAGED",
"configServerType": "DEDICATED",
"connectionStrings": {
"awsPrivateLink": {
"additionalProperty1": "string",
"additionalProperty2": "string"
},
"awsPrivateLinkSrv": {
"additionalProperty1": "string",
"additionalProperty2": "string"
},
"private": "string",
"privateEndpoint": [
{
"connectionString": "string",
"endpoints": [
{
"endpointId": "string",
"providerName": "AWS",
"region": "string"
}
],
"srvConnectionString": "string",
"srvShardOptimizedConnectionString": "string",
"type": "MONGOD"
}
],
"privateSrv": "string",
"standard": "string",
"standardSrv": "string"
},
"createDate": "2026-05-04T09:42:00Z",
"databaseEdition": "CORE",
"deleteAfterCreationHours": 42,
"deleteAfterDate": "2026-05-04T09:42:00Z",
"diskSizeGB": 42.0,
"diskWarmingMode": "FULLY_WARMED",
"effectiveDatabaseEdition": "CORE",
"encryptionAtRestProvider": "NONE",
"featureCompatibilityVersion": "string",
"featureCompatibilityVersionExpirationDate": "2026-05-04T09:42:00Z",
"globalClusterSelfManagedSharding": true,
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"labels": [
{
"key": "string",
"value": "string"
}
],
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"mongoDBEmployeeAccessGrant": {
"expirationTime": "2026-05-04T09:42:00Z",
"grantType": "CLUSTER_DATABASE_LOGS",
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
]
},
"mongoDBMajorVersion": "5.0",
"mongoDBVersion": "5.0.25",
"mongoURI": "string",
"mongoURIUpdated": "2026-05-04T09:42:00Z",
"mongoURIWithOptions": "string",
"name": "string",
"numShards": 1,
"paused": true,
"pitEnabled": true,
"providerBackupEnabled": true,
"replicaSetScalingStrategy": "WORKLOAD_TYPE",
"replicationFactor": 3,
"replicationSpec": {
"additionalProperty1": {
"analyticsNodes": 42,
"electableNodes": 0,
"priority": 42,
"readOnlyNodes": 42
},
"additionalProperty2": {
"analyticsNodes": 42,
"electableNodes": 0,
"priority": 42,
"readOnlyNodes": 42
}
},
"replicationSpecs": [
{
"id": "32b6e34b3d91647abb20e7b8",
"numShards": 1,
"regionsConfig": {
"additionalProperty1": {
"analyticsNodes": 42,
"electableNodes": 0,
"priority": 42,
"readOnlyNodes": 42
},
"additionalProperty2": {
"analyticsNodes": 42,
"electableNodes": 0,
"priority": 42,
"readOnlyNodes": 42
}
},
"zoneName": "string"
}
],
"rootCertType": "ISRGROOTX1",
"srvAddress": "string",
"stateName": "IDLE",
"tags": [
{
"key": "string",
"value": "string"
}
],
"terminationProtectionEnabled": false,
"versionReleaseSystem": "LTS"
}
응답 예시(400)
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
응답 예시(401)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
응답 예시(402)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 402,
"errorCode": "NO_PAYMENT_INFORMATION_FOUND",
"reason": "Payment Required"
}
응답 예시(403)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
응답 예시(404)
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
응답 예시(409)
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot delete organization link while there is active migration in following project ids: 60c4fd418ebe251047c50554",
"error": 409,
"errorCode": "CANNOT_DELETE_ORG_ACTIVE_LIVE_MIGRATION_ATLAS_ORG_LINK",
"reason": "Conflict"
}
응답 예시(500)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}